Package org.codehaus.groovy.runtime.metaclass

# Class MetaMethodIndex.CacheEntry

java.lang.Object
org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.CacheEntry

Enclosing class:
  `MetaMethodIndex`

public static class MetaMethodIndex.CacheEntry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final MetaMethod`
`method`
`final Class[]`
`params`

## Constructor Summary

Constructors
Constructor
Description
`CacheEntry(Class[] params, MetaMethod method)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### params

public final Class[] params

### method

public final MetaMethod method

## Constructor Details

### CacheEntry

public CacheEntry(Class[] params, MetaMethod method)